Capacity Rules
GET
/workspaces/{workspaceId}/inbox/capacity
Retrieve list of capacity rule
Queryparameters
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwoord-payload
results
array of object
verplicht
Onderliggende attributen tonen
results.id
string
verplicht
results.workspaceId
string
verplicht
results.name
string
verplicht
results.description
string
verplicht
results.default
boolean
results.capacity
object
verplicht
Onderliggende attributen tonen
results.capacity.messaging
integer
results.capacity.email
integer
results.assignedAgentIds
array of string
results.createdAt
string
results.updatedAt
string
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/capacity
Create Capacity Rule
Verzoek-payload
name
string
verplicht
description
string
verplicht
default
boolean
capacity
object
verplicht
Onderliggende parameters tonen
capacity.messaging
integer
verplicht
capacity.email
integer
verplicht
agents
array of string
Antwoord-payload
id
string
verplicht
workspaceId
string
verplicht
name
string
verplicht
description
string
verplicht
default
boolean
capacity
object
verplicht
Onderliggende attributen tonen
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Codevoorbeeld
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Get a Capacity Rule
Antwoord-payload
id
string
verplicht
workspaceId
string
verplicht
name
string
verplicht
description
string
verplicht
default
boolean
capacity
object
verplicht
Onderliggende attributen tonen
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Update Capacity Rule
Verzoek-payload
name
string
description
string
default
boolean
capacity
object
Onderliggende parameters tonen
capacity.messaging
integer
verplicht
capacity.email
integer
verplicht
Antwoord-payload
id
string
verplicht
workspaceId
string
verplicht
name
string
verplicht
description
string
verplicht
default
boolean
capacity
object
verplicht
Onderliggende attributen tonen
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Delete a Capacity Rule
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
Assign Capacity Rule
Verzoek-payload
agents
array of string
verplicht
Codevoorbeeld
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
get agents assigned to Capacity Rule
Antwoord-payload
agents
array of string
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'